var arrayObj = new Array(); //初始索赔性质数组
var resConfigListtemp;
$(function(){
	/**出险类型选择 疾病2  意外1  默认显示意外；*/	
	if($("#accidentCode").val()==null || $("#accidentCode").val()==""){
		$("#accidentCode").val("1");
	}
//	if($("#highEnd").val()=='Y'){
//		resConfigQuery("2");
//	}else {
//		resConfigQuery("1");
//	}
//	resConfigQuery($("#accidentCode").val());
	gaoduan($("#high"),"Y");
	var claimSubState=$("#claimSubState").val();
	if(claimSubState=='03'){
		$(".answer").attr("onclick","");
		$(".zizhu").attr("style","color :#ccc");	
		$(".save").attr("href","javaScript:show('void')");
	}
});

function delsp(spid){
	if(isCon(arrayObj,spid)){//删除属性  如果存在两条相同的数据则不删除。
		/**
		 * 1.将取消的事故性质删除
		 * 2.将隐藏的索赔清单显示
		 * 3.将取消时选中的索赔清单与现有存在的索赔清单,有相同的显示出来
		 * 
		 * */
		$.each(resConfigListtemp, function(i, n){
			//相同的清单显示出来
			if(spid==resConfigListtemp[i].accType){
				
				$("#resConfig").find("tr[id="+resConfigListtemp[i].resourceCode+"]").each(function(){
					var curr = $(this);
					if(curr.attr("code")!=spid){
						//alert("将："+resConfigListtemp[i].resourceCode+",值设置为可见！");
						curr.attr("style","");
						return false;//跳出当前循环
					}
				});
					
			}
			//删除
			if(spid==resConfigListtemp[i].accType){
				
				$("#resConfig").find("tr").each(function(){
					var curr = $(this);
					if(curr.attr("code")==spid){
						curr.remove();
					}
				});
					
			}
		 });
	}
}
//添加索赔资料清单
function addsp(spid){
	$.each(resConfigListtemp, function(i, n){
		if (resConfigListtemp[i].resourceType == '02') {
			if(spid==resConfigListtemp[i].accType){
				if($("#"+resConfigListtemp[i].resourceCode).length<1){
					$("#resConfig").append("<tr id='"+resConfigListtemp[i].resourceCode+"' name="+resConfigListtemp[i].resourceName+" code='"+spid+"'>"+
			     			"<td>"+resConfigListtemp[i].resourceName+"</td>"+
			     			"<td><span name='yj' id='yj"+resConfigListtemp[i].resourceCode+"' class='check_no' onclick='checksp(this.id,\""+resConfigListtemp[i].resourceCode+"\")'></span><input type='text' class='originally' name='piece' value='' />件</td>"+
			     			"<td><span name='fyj'  id='fyj"+resConfigListtemp[i].resourceCode+"' class='check_no' onclick='checksp(this.id,\""+resConfigListtemp[i].resourceCode+"\")'></span><input type='text' class='originally' name='piece' value='' />件</td>"+
			     			"</tr>");
				}else{
					$("#resConfig").append("<tr id='"+resConfigListtemp[i].resourceCode+"' name="+resConfigListtemp[i].resourceName+" code='"+spid+"' style=\"display: none;\">"+
		     			"<td>"+resConfigListtemp[i].resourceName+"</td>"+
		     			"<td><span name='yj' id='yj"+resConfigListtemp[i].resourceCode+"' class='check_no' onclick='checksp(this.id,\""+resConfigListtemp[i].resourceCode+"\")'></span><input type='text' class='originally' name='piece' value='' />件</td>"+
		     			"<td><span name='fyj'  id='fyj"+resConfigListtemp[i].resourceCode+"' class='check_no' onclick='checksp(this.id,\""+resConfigListtemp[i].resourceCode+"\")'></span><input type='text' class='originally' name='piece' value='' />件</td>"+
		     			"</tr>");
				}
				
			}
		} else {
			if($("#"+resConfigListtemp[i].resourceCode).length<1){
				$("#resConfig").append("<tr id='"+resConfigListtemp[i].resourceCode+"' name="+resConfigListtemp[i].resourceName+" code='"+spid+"'>"+
		     			"<td>"+resConfigListtemp[i].resourceName+"</td>"+
		     			"<td><span name='yj' id='yj"+resConfigListtemp[i].resourceCode+"' class='check_no' onclick='checksp(this.id,\""+resConfigListtemp[i].resourceCode+"\")'></span><input type='text' class='originally' name='piece' value='' />件</td>"+
		     			"<td><span name='fyj'  id='fyj"+resConfigListtemp[i].resourceCode+"' class='check_no' onclick='checksp(this.id,\""+resConfigListtemp[i].resourceCode+"\")'></span><input type='text' class='originally' name='piece' value='' />件</td>"+
		     			"</tr>");
			}else {
				$("#resConfig").append("<tr id='"+resConfigListtemp[i].resourceCode+"' name="+resConfigListtemp[i].resourceName+" code='"+spid+"' style=\"display: none;\">"+
		     			"<td>"+resConfigListtemp[i].resourceName+"</td>"+
		     			"<td><span name='yj' id='yj"+resConfigListtemp[i].resourceCode+"' class='check_no' onclick='checksp(this.id,\""+resConfigListtemp[i].resourceCode+"\")'></span><input type='text' class='originally' name='piece' value='' />件</td>"+
		     			"<td><span name='fyj'  id='fyj"+resConfigListtemp[i].resourceCode+"' class='check_no' onclick='checksp(this.id,\""+resConfigListtemp[i].resourceCode+"\")'></span><input type='text' class='originally' name='piece' value='' />件</td>"+
		     			"</tr>");
			}
		}
		
	 });
	arrayObj.push(spid);
}
/** 时间组件初始化 */
function dateCompInit(){
//	var date = new Date();
//	date.setDate(date.getDate()-1);
	$('#accidentDate').datepicker({
	 	yearRange:"-10:+10",
		duration:'fast',
		constrainInput:true,
		changeMonth:true,
		dateFormat:'yy-mm-dd',
		showButtonPanel:true,
		changeYear:true,
		maxDate:null,
		showAnim: ''
	    //onSelect:function(dateText,inst){}
	});	
	$('#firstDiagnoseDate').datepicker({
	 	yearRange:"-10:+10",
		duration:'fast',
		constrainInput:true,
		changeMonth:true,
		dateFormat:'yy-mm-dd',
		showButtonPanel:true,
		changeYear:true,
		maxDate:null,
		showAnim: ''
	    //onSelect:function(dateText,inst){}
	});	
}
//身故
function shenggu(a){
	
	if($('#shenggu').attr('class')=="re_icon1"){
		$('#shenggu').attr('class','re_icon1 re_icon1_cur');
		addsp('01');
	}else{
		if(confirm("取消身故则会将对应的索赔资料清单也清空，是否确定？")==true){
			delsp('01');
			$('#shenggu').attr('class','re_icon1');
		}
		
	}
	
}
//伤残
function shangchang(a){
	if($('#shangchang').attr('class')=="re_icon2"){
		$('#shangchang').attr('class','re_icon2 re_icon2_cur');
		addsp('02');
	}else{
		if(confirm("取消伤残则会将对应的索赔资料清单也清空，是否确定？")==true){
			delsp('02');
			$('#shangchang').attr('class','re_icon2');
		}
		
		
	}
	
}
//重大疾病
function zhongda(a){
	if ($('#zhongda').attr('class') == "re_icon3"){
		$('#zhongda').attr('class','re_icon3 re_icon3_cur');
		addsp('03');
	}else{
		if(confirm("取消重大疾病则会将对应的索赔资料清单也清空，是否确定？")==true){
			delsp('03');
			$('#zhongda').attr('class','re_icon3');
		}
		
		
	}
	
}
//门急诊医疗
function menzhen(a){
	if($('#menzhen').attr('class')=="re_icon4"){
		$('#menzhen').attr('class','re_icon4 re_icon4_cur');
		addsp('04');
	}else{
		if(confirm("取消门急诊医疗则会将对应的索赔资料清单也清空，是否确定？")==true){
			delsp('04');
			$('#menzhen').attr('class','re_icon4');
		}
		
		
	}
	
}
//住院医疗
function zhuyuanyiliao(a){
	if($('#zhuyuanyiliao').attr('class')=="re_icon5"){
		$('#zhuyuanyiliao').attr('class','re_icon5 re_icon5_cur');
		addsp('05');
	}else{
		if(confirm("取消住院医疗会将对应的索赔资料清单也清空，是否确定？")==true){
			delsp('05');
			$('#zhuyuanyiliao').attr('class','re_icon5');
		}
		
	}
	
}
//住院补贴
function zhuyuanbutie(a){
	if($('#zhuyuanbutie').attr('class')=="re_icon6"){
		$('#zhuyuanbutie').attr('class','re_icon6 re_icon6_cur');
		addsp('06');
	}else{
		if(confirm("取消住院补贴会将对应的索赔资料清单也清空，是否确定？")==true){
			delsp('06');
			$('#zhuyuanbutie').attr('class','re_icon6');
		}
		
	}
	
}
function nvxingshengyu(a){
	if($('#nvxingshengyu').attr('class')=="re_icon7"){
		$('#nvxingshengyu').attr('class','re_icon7 re_icon7_cur');
		addsp('07');
	}else{
		if(confirm("取消女性生育会将对应的索赔资料清单也清空，是否确定？")==true){
			delsp('07');
			$('#nvxingshengyu').attr('class','re_icon7');
		}
		
	}
	
}
//眼科
function dentisty(a){
	if($('#dentisty').attr('class')=="re_icon8"){
		$('#dentisty').attr('class','re_icon8 re_icon8_cur');
		addsp('08');
	}else{
		if(confirm("取消牙科会将对应的索赔资料清单也清空，是否确定？")==true){
			delsp('08');
			$('#dentisty').attr('class','re_icon8');
		}
		
	}
	
	
}
 //眼科
function onculist(a){
	if($('#onculist').attr('class')=="re_icon9"){
		$('#onculist').attr('class','re_icon9 re_icon9_cur');
		addsp('09');
	}else{
		if(confirm("取消眼科会将对应的索赔资料清单也清空，是否确定？")==true){
			delsp('09');
			$('#onculist').attr('class','re_icon9');
		}
		
	}
	
}
//门诊大病
function dabing(a){
	if($('#dabing').attr('class')=="re_icon11"){
		$('#dabing').attr('class','re_icon11 re_icon11_cur');
		addsp('10');
	}else{
		if(confirm("取消门诊会将对应的索赔资料清单也清空，是否确定？")==true){
			delsp('10');
			$('#dabing').attr('class','re_icon11');
		}
		
	}
	
}
//紧急牙科
function jinji(a){
	if($('#jinji').attr('class')=="re_icon10"){
		$('#jinji').attr('class','re_icon10 re_icon10_cur');
		addsp('11');
	}else{
		if(confirm("取消紧急牙科会将对应的索赔资料清单也清空，是否确定？")==true){
			delsp('11');
			$('#jinji').attr('class','re_icon10');
		}
		
	}
	
}

//药房购药
function drug(a){
	if($('#drug').attr('class')=="re_icon12"){
		$('#drug').attr('class','re_icon12 re_icon12_cur');
		addsp('12');
	}else{
		if(confirm("取消药房购药会将对应的索赔资料清单也清空，是否确定？")==true){
			delsp('12');
			$('#drug').attr('class','re_icon12');
		}
		
	}
	
}
//药房购药
function tijian(a){
	if($('#tijian').attr('class')=="re_icon13"){
		$('#tijian').attr('class','re_icon13 re_icon13_cur');
		addsp('13');
	}else{
		if(confirm("取消药房购药会将对应的索赔资料清单也清空，是否确定？")==true){
			delsp('13');
			$('#tijian').attr('class','re_icon13');
		}
		
	}
}

//女性疾病
function womanDisease(a){
	if($('#woman-disease').attr('class')=="re_icon14"){
		$('#woman-disease').attr('class','re_icon14 re_icon14_cur');
		addsp('14');
	}else{
		if(confirm("取消女性疾病会将对应的索赔资料清单也清空，是否确定？")==true){
			delsp('14');
			$('#woman-disease').attr('class','re_icon14');
		}
		
	}
	
}
//艾滋病
function aizibing(a){
	if($('#aizibing').attr('class')=="re_icon15"){
		$('#aizibing').attr('class','re_icon15 re_icon15_cur');
		addsp('15');
	}else{
		if(confirm("取消艾滋病会将对应的索赔资料清单也清空，是否确定？")==true){
			delsp('15');
			$('#aizibing').attr('class','re_icon15');
		}
	}
}
//紧急医疗
function jinjiyiliao(a){
	if($('#jinjiyiliao').attr('class')=="re_icon16"){
		$('#jinjiyiliao').attr('class','re_icon16 re_icon16_cur');
		addsp('16');
	}else{
		if(confirm("取消紧急医疗会将对应的索赔资料清单也清空，是否确定？")==true){
			delsp('16');
			$('#jinjiyiliao').attr('class','re_icon16');
		}
	}
}
//体检疫苗
function yijianyimiao(a){
	if($('#yijianyimiao').attr('class')=="re_icon17"){
		$('#yijianyimiao').attr('class','re_icon17 re_icon17_cur');
		addsp('17');
	}else{
		if(confirm("取消体检疫苗会将对应的索赔资料清单也清空，是否确定？")==true){
			delsp('17');
			$('#yijianyimiao').attr('class','re_icon17');
		}
	}
}
//先天性疾病
function xiantianxingjibing(a){
	if($('#xiantianxingjibing').attr('class')=="re_icon18"){
		$('#xiantianxingjibing').attr('class','re_icon18 re_icon18_cur');
		addsp('18');
	}else{
		if(confirm("取消先天性疾病会将对应的索赔资料清单也清空，是否确定？")==true){
			delsp('18');
			$('#xiantianxingjibing').attr('class','re_icon18');
		}
	}
}
//心血管
function xinxueguan(a){
	if($('#xinxueguan').attr('class')=="re_icon19"){
		$('#xinxueguan').attr('class','re_icon19 re_icon19_cur');
		addsp('19');
	}else{
		if(confirm("取消心血管会将对应的索赔资料清单也清空，是否确定？")==true){
			delsp('19');
			$('#xinxueguan').attr('class','re_icon19');
		}
	}
}
//骨折
function guzhe(a){
	if($('#guzhe').attr('class')=="re_icon20"){
		$('#guzhe').attr('class','re_icon20 re_icon20_cur');
		addsp('20');
	}else{
		if(confirm("取消骨折会将对应的索赔资料清单也清空，是否确定？")==true){
			delsp('20');
			$('#guzhe').attr('class','re_icon20');
		}
	}
}

function resConfigQuery(acctype,resourceType,claimNo){
	showLoading();//加载进度条
	$.ajax({  
        type: "POST",  
        url: "queryResourceConfig.do",  
 
        data: {"acctype":acctype,"resourceType":resourceType,"claimNo":claimNo},  
        success: function(data){  
        	closeLoading();//去掉进度条
            var items = data.resConfigList;
            resConfigListtemp = items;//初始化 
            initinfo();
        }  
    });
}


function buttonResConfigQuery(acctype,resourceType,claimNo){
	showLoading();//加载进度条
	$.ajax({  
        type: "POST",  
        url: "queryResourceConfig.do",  
 
        data: {"acctype":acctype,"resourceType":resourceType,"claimNo":claimNo},  
        success: function(data){  
        	closeLoading();//去掉进度条
            var items = data.resConfigList;
            resConfigListtemp = items;//初始化 
        }  
    });
}
//索赔资料选择为一
function checksp(id,spanid){
	if($("#"+id).is(".check_no")){
		$("#"+id).attr("class","check_yes");
		$("#"+id)[0].parentNode.childNodes[1].value ="1";
	}else{
		$("#"+id).attr("class","check_no");
		$("#"+id)[0].parentNode.childNodes[1].value ="";
	}
	//原件和扫描件只能选择一个
//	if($("#"+id).attr("name")=="yj"){//原件
//		if($("#"+id).is(".check_yes")){
//			$("#fyj"+spanid).attr("class","check_no");
//			$("#fyj"+spanid)[0].parentNode.childNodes[1].value ="";
//		}
//	}else if($("#"+id).attr("name")=="fyj"){
//		if($("#"+id).is(".check_yes")){
//			$("#yj"+spanid).attr("class","check_no");
//			$("#yj"+spanid)[0].parentNode.childNodes[1].value ="";
//		}
//	}
}
//疾病资料选择
function checkjb(id){
	if($("#"+id).is(".check_no")){
		$("#"+id).attr("class","check_yes");
	}else{
		$("#"+id).attr("class","check_no");
	}

}
//点第三方赔付新增
function displaypaycom(){
	//style="display: block";
	$("#id").val("");
	$("#companyName").val("");
	$("#claimAmt").val("");
	paycom.style.display='block';
}
//第三方投保情况显示新增输入框
function displaypayTb(){
	$("#tbid").val("");
	$("#insuranceComName").val("");
	$("#policyName").val("");
	$("#policyNo").val("");
	payTb.style.display='block';
}
//第三方投保保存
function formpayTbSave(){
	if($("#insuranceComName").val()==null || $("#insuranceComName").val()==""){
		alert("保险公司名称不能为空!");
		return false;
	}
	if($("#policyName").val()==null || $("#policyName").val()==""){
		alert("保单名称不能为空!");
		return false;
	}
	if($("#policy_No").val()==null || $("#policy_No").val()==""){
		alert("保单号不能为空!");
		return false;
	}
	$.ajax({
        cache: true,
        type: "POST",
        url:"addClmInsuranceCom.do",
        data:$('#formpayTbSave').serialize(),// 你的formid
        async: false,
        error: function(request) {
            alert("保存失败！");
        },
        success: function(data) {
        	$("#payTbbody").html("");//清空第三方投保记录
        	var items = data.clmInsuranceComlist;  
        	//第三方投保情况查询
        	payTbQuery(items);
        	alert("保存成功！");
        	payTb.style.display='none';
        }
    });
}
//重新生成投保情况数据
function payTbQuery(items){
	$.each(items, function(i, n){
    	$("#payTbbody").append("<tr id='tb"+items[i].id+"'>"+
                "<td width=\"50\">　</td>"+
                "<td><span>"+(i+1)+".　</span></td>"+
                "<td id=\"tbinsuranceComName\" name='"+items[i].insuranceComName+"'>保险公司名称："+items[i].insuranceComName+"　　&nbsp;</</td>"+
                "<td id=\"tbpolicyName\" name='"+items[i].policyName+"'>保单名称："+items[i].policyName+"　　&nbsp;</td>"+
                "<td id=\"tbpolicyNo\" name='"+items[i].policyNo+"'>保单号："+items[i].policyNo+" 　　&nbsp;</td>"+
                "<td><a href=\"javascript:formIdTbedit('tb"+items[i].id+"','"+items[i].id+"')\" class=\"txt_blue\">　　编辑</a>　　" +
                "<a href=\"javascript:formIdTbdel('"+items[i].id+"','"+items[i].id+"')\" class=\"txt_blue\">删除</a></td>"+
              	"</tr>");
    });
}

//重新生成赔付情况
function payQuery(itemsRecord){
	$.each(itemsRecord, function(i, n){
		$("#paybody").append("<tr id=\""+itemsRecord[i].id+"\"><td width=\"50\"></td><td>"+(i+1)+".</td><td id='paycompanyName' name='"+itemsRecord[i].companyName+"'>　索赔保险公司或单位："+itemsRecord[i].companyName+"</td><td id='payclaimAmt' name='"+itemsRecord[i].claimAmt+"'>　　赔付金额："+itemsRecord[i].claimAmt+" </td><td>　<a href=\"javascript:formIdpayedit("+itemsRecord[i].id+")\" class=\"txt_blue\">编辑</a>　　　<a href=\"javascript:formIdpaydel('"+itemsRecord[i].id+"')\" class=\"txt_blue\">删除</a></td></tr>");
    });
}
function formIdTbdel(id,tbid){
	if(confirm("是否删除当前行！")==false){
		return;
	}
	$.ajax({
        cache: true,
        type: "POST",
        url:"delClmInsuranceCom.do",
        data:{"id":id,"claimNo":$("#claimNo").val()},
       // data:{"id":id,"claimNo":claimNo},// 你的formid
        async: false,
        error: function(request) {
            alert("删除失败！");
        },
        success: function(data) {
        	var items = data.clmInsuranceComlist;  
        	alert("删除成功！");
        	//第三方投保情况查询
        	$("#payTbbody").html("");//清空第三方投保记录重新再查
        	payTbQuery(items);
        	//$("#payTbbody tr[id='"+tbid+"']").remove();
        	payTb.style.display='none';
        }
    });
}

/**第三方赔付情况保存*/
function formIdpaySave(){
	if($("#companyName").val()==null || $("#companyName").val()==""){
		alert("索赔保险公司或单位不能为空!");
		return false;
	}
	if($("#claimAmt").val()==null || $("#claimAmt").val()==""){
		alert("赔付金额不能为空!");
		return false;
	}
	$.ajax({
        cache: true,
        type: "POST",
        url:"addClmDisnormalRecord.do",
        data:$('#formIdpay').serialize(),// 你的formid
        async: false,
        error: function(request) {
            alert("保存失败！");
        },
        success: function(data) {
        	//第三方赔付情况
            var itemsRecord = data.clmDisnormalRecordList;  
            $("#paybody").html("");//清空列表重新读
            payQuery(itemsRecord);
        	alert("保存成功！");
        	//$("#paybody").append("<tr id=\""+data.id+"\"><td></td><td><span class=\"check_no\"></span></td><td id='paycompanyName' name='"+data.companyName+"'>　索赔保险公司或单位："+data.companyName+"</td><td id='payclaimAmt' name='"+data.claimAmt+"'>　　赔付金额："+data.claimAmt+" </td><td>　<a href=\"javascript:formIdpayedit("+data.id+")\" class=\"txt_blue\" \">编辑</a>　　　<a href=\"javascript:formIdpaydel('"+data.id+"')\" class=\"txt_blue\"\">删除</a></td></tr>");  
        	$("#companyName").val("");
        	$("#claimAmt").val("");
        	paycom.style.display='none';
        }
    });
}

	function formIdpaydel(id){
		if(confirm("是否删除当前行！")==false){
			return false;
		}
		$.ajax({
	        cache: true,
	        type: "POST",
	        url:"delClmDisnormalRecord.do",
	        data:{"id":id,"claimNo":$("#claimNo").val()},
	       // data:{"id":id,"claimNo":claimNo},// 你的formid
	        async: false,
	        error: function(request) {
	            alert("删除失败！");
	        },
	        success: function(data) {
	        	var itemsRecord = data.clmDisnormalRecordList;  
	        	alert("删除成功！");
	        	$("#paybody").html("");
	        	payQuery(itemsRecord);
	        	//$("#paybody tr[id='"+id+"']").remove();
	        	
	        }
	    });
	}
	//document.getElementById('formIdpay').submit();
	//出险信息保存
	function saveAccidentInfo(optype,flag){
		//高端选择
	/*	var panduan="Y";
		if($("#high").is('.check_yes')){
			panduan="N";
		}
		$("#highEnd").val(panduan);*/
		//出险类型
		if($("#accidentCode").val()==null || $("#accidentCode").val()==""){
			alert("请选择出险类型！");
			return false;
		}
		if($("#accidentDate").val()==null || $("#accidentDate").val()==""){
			alert("出险日期不能为空！");
			return false;
		}
		/*if($("#firstDiagnoseDate").val()==null || $("#firstDiagnoseDate").val()==""){
			alert("就诊日期不能为空！");
			return false;
		}*/
		
		if($("#firstDiagnoseDate").val()!=null && $("#firstDiagnoseDate").val()!=""){
			
		if(dateCheck($("#currentDate").val(),$("#firstDiagnoseDate").val())){
			alert("就诊日期不能大于当前日期!");
			return false;
		}
		if(dateCheck($("#firstDiagnoseDate").val(),$("#accidentDate").val())){
			alert("出险日期不能大于就诊日期!");
			return false;
		}
		}
		
		if(dateCheck($("#currentDate").val(),$("#accidentDate").val())){
			alert("出险日期不能大于当前日期!");
			return false;
		}
		

		/**出险经过长度校验*/
		if($("#accidentDesc").val()!=""){
			if(strlength($("#accidentDesc").val())>400){
				alert("出险经过超出200个汉字长度,请检查!");
				return false;
			}
			
		}
		//件数 
	
		var pie=document.getElementsByName("piece");
		var regpc = /^[0-9]*$/;
		if(pie.length>1){
			for ( var i = 0; i < pie.length; i++) {
				if(!regpc.test(pie[i].value)){
					alert("件数不能为小数点");
					return false;
				}
			}
			
		}
		
		//索赔事故性质
		var spsg="";
		if($("#shenggu").is(".re_icon1_cur")){
			spsg =spsg+"01_";
		}
		if($("#shangchang").is(".re_icon2_cur")){
			spsg =spsg+"02_";
		}
		if($("#zhongda").is(".re_icon3_cur")){
			spsg =spsg+"03_";
		}
		if($("#menzhen").is(".re_icon4_cur")){
			spsg =spsg+"04_";
		}
		if($("#zhuyuanyiliao").is(".re_icon5_cur")){
			spsg =spsg+"05_";
		}
		if($("#zhuyuanbutie").is(".re_icon6_cur")){
			spsg =spsg+"06_";
		}
		if($("#nvxingshengyu").is(".re_icon7_cur")){
			spsg =spsg+"07_";
		}
		if($("#dentisty").is(".re_icon8_cur")){
			spsg =spsg+"08_";
		}
		if($("#onculist").is(".re_icon9_cur")){
			spsg =spsg+"09_";
		}
		if($("#dabing").is(".re_icon11_cur")){
			spsg =spsg+"10_";
		}
		if($("#jinji").is(".re_icon10_cur")){
			spsg =spsg+"11_";
		}
		if($("#drug").is(".re_icon12_cur")){
			spsg =spsg+"12_";
		}
		if($("#tijian").is(".re_icon13_cur")){
			spsg =spsg+"13_";
		}
		if($("#woman-disease").is(".re_icon14_cur")){
			spsg =spsg+"14_";
		}
		if($("#aizibing").is(".re_icon15_cur")){
			spsg =spsg+"15_";
		}
		if($("#jinjiyiliao").is(".re_icon16_cur")){
			spsg =spsg+"16_";
		}
		if($("#yijianyimiao").is(".re_icon17_cur")){
			spsg =spsg+"17_";
		}
		if($("#xiantianxingjibing").is(".re_icon18_cur")){
			spsg =spsg+"18_";
		}
		if($("#xinxueguan").is(".re_icon19_cur")){
			spsg =spsg+"19_";
		}
		if($("#guzhe").is(".re_icon20_cur")){
			spsg =spsg+"20_";
		}
		//索赔事故性质
		if(spsg==""){
			alert("请选择索赔事故性质");
			return false;
		}
		spsg = spsg.substring(0,spsg.length-1);
		$("#spsgxz").val(spsg);
		//疾病诊断选择结果
//		var jbdataform = getFormJson("jbdataform");
		
		var clmIlls =new Array;
		$("#jbresultData").find("tr").each(function(){
			var obj = $(this);
			var illCode =obj.find("td[id=illCode]").html();
			var illName =obj.find("td[id=illName]").html();
			clmIlls.push({illCode:illCode,illName:illName,claimNo:$("#claimNo").val()});
		});
		var jbname = JSON.stringify(clmIlls);
		$("#jbnameselect").val(jbname);
		$("#divsqqdlist").html("");//清空当前数据防止重复提交
		//先把索赔资料数据解析
		$("#resConfig").find("tr").each(function() {
			var jbSpArrtemp = new Array(); //初始索赔性质数组
			var obj = $(this);
			jbSpArrtemp.push(obj.attr("id"));
			jbSpArrtemp.push(obj.attr("name"));
			
			obj.find("td span").each(function(){
				if($(this).attr("name")=="yj"){
					jbSpArrtemp.push($(this).attr("class"));
				}else{
					jbSpArrtemp.push($(this).attr("class"));
				}
				

			});
			jbSpArrtemp.push(obj.attr("code"));
			if(obj.attr("style")!=null){
				if(obj.attr("style").length>2){//表示为隐藏属性
					jbSpArrtemp.push("0");
				}else{
					jbSpArrtemp.push("1");
				}
			}else{
				jbSpArrtemp.push("1");
			}
			//7-8原件个数、复印件个数
			var piece = obj.find("td:eq(1) input[name='piece'] ").val();
			var pieces = obj.find("td:eq(2) input[name='piece'] ").val();
			if (isNaN(piece)) {
				piece = 0;
			}
			if (isNaN(pieces)) {
				pieces = 0;
			}
			jbSpArrtemp.push(piece);//原件个数
			jbSpArrtemp.push(pieces);//复印件个数

			$("#divsqqdlist").append("<input id=\"spqdlist\" name=\"spqdlist\" type=\"hidden\" value="+jbSpArrtemp+"></input>");
		});
		
		//$("#accidentaddrtype").val($("#divaccidentaddrtype_code").val());
		selectCheck("accidentaddrtype");
		$.ajax({
	        cache: true,
	        sync : true,
	        type: "POST",
	        url:"saveAccidentInfo.do",
	        data:$('#formAccidentInfo').serialize(),// 你的formid
	        async: false,
	        error: function(request) {
	        	if (flag != 'PRINT') {
	 	           throw Excetion("保存失败！");
	        	} else {
	        		return false;
	        	}
	        },
	        success: function(data) {
	        	if (flag != 'PRINT') {
		        	if(optype!="1"){
		        		alert("保存成功！");
		        	}
	        	} else {
	        		return true;
	        	}
	        	
	            //$("#commonLayout_appcreshi").parent().html(data);
	        }
	    });
	}
	//被保险人
	function clmInsureQuery(){
		SkipByPost("clmInsureQuery.do",{claimNo:$("#claimNo").val(),isSendFlag:$("#isSendFlag").val(),branchIdSelect:$("#branchIdSelect").val()});
	}
	//跳转赔案相关人员信息
	function queryPayInfo(){
		var branchIdSelect=$("#branchIdSelect").val();
		 SkipByPost("queryPayInfo.do",{claimNo:$("#claimNo").val(),policyNo:$("#policyNo").val(),isSendFlag:$("#isSendFlag").val(),branchIdSelect:$("#branchIdSelect").val(),"isBpo":$("#highEnd").val(),"paying":$("#dpa-value").val()});
	}
	
	/**疾病诊断选择时确认保存*/
	function saveDiv(id) {
		var jb = 0;
		var jbname="";
		try{
				$("#jbzd").find("span").each(function() {
					var illCode_temp=$(this).attr("code");
					if ($(this).is(".check_yes")){
						$("#jbresultData").find("tr").each(function(){
							var obj = $(this);
							var illCode =obj.find("td[id=illCode]").html();
							var illName =obj.find("td[id=illName]").html();
							if(illCode_temp==illCode){
								 throw illName+"已经被选中，不能重复选择!！";
							}
						});
						if(jb==0)
							jbname = $(this).attr("code")+$(this).attr("name");
						jb = jb+1;
					}
				});
				$("#clmIll_jb").val(jbname);
				if(jb>0){
					$("#clmIll_jb").val(jbname+"....");
				}else{
					alert("请至少选择一条记录！");
					return false;
				}
				
				//写入疾病选择列表
				$("#jbzd").find("span").each(function() {
					if ($(this).is(".check_yes")){
						
						$("#jbresultData").append("<tr>" +
								"<td width=\"23%\" id=\"illCode\">"+$(this).attr("code")+"</td>" +
								"<td width=\"45%\" id=\"illName\">"+$(this).attr("name")+"</td>" +
								"<td width=\"21%\"><a href=\"#\" class=\"icon_del\" onclick=\"deljbresultData(this)\"></a></td>" +
								"</tr>");
					}
				});
		}catch (e) {
			alert(e);
			return false;
		}

		$.closePopupLayer(id);
	}
	/**疾病列表查询删除当前*/
	function deljbresultData(data){
		if(confirm("是否删除当前行！")==true){
			var trcurrent = $(data).parent().parent();
			trcurrent.remove();
		}
	}
	/**数据判断是否存在值如果存在则删除掉
	 * @param arr
	 * @param val
	 * @returns {Boolean}
	 */
	function isCon(arr, val){
		for(var i=0; i<arr.length; i++){
			if(arr[i] == val){
				arr.splice(i,1); 
				return true;
			}
				
		}
		return false;
	}
	/**疾病诊断查询**/
	function jbcheckQuery(){  
		if($("#jbcontent").val()=="" || $("#jbcontent").val()==null){
			alert("查询条件不能为空！");
			return false;
		}
		$("#jbzd").html("");
	    $.ajax({  
	        type: "POST",  
	        url: "jbcheckQuery.do",  
	        data:{content:$("#jbcontent").val()},// 你的formid
	       // data:{content:$("#jbcontent").val(),classType:$("#accidentCode").val()},
	        success: function(data){  
	            var items = data.diagnosisItemList;  
	            //$("#insureData").empty();
	            
	            $.each(items, function(i, n){
	             	$("#jbzd").append("<tr>" +
	             			"<th width=\"28%\"><span id='"+items[i].objId+"' code='"+items[i].illcode+"' name='"+items[i].illname+"' class='check_no' onclick='checkjb(this.id)'></span></th>" +
	             			"<td width=\"12%\">"+items[i].illcode+"</td>" +
	             			"<td width=\"60%\" >"+items[i].illname+" </td>" +
	             			"</tr>");
	            });  
	        }  
	    });   
	} 
/**出险类型选择 疾病02  意外01  默认显示意外；*/	
function cxlxCheckBox(dataId){
	
	if(confirm("出险类型重新选择，索赔事故性质需要重新选择！")==true){
		$('#shenggu').attr('class','re_icon1');
		$('#shangchang').attr('class','re_icon2'); 
		$('#zhongda').attr('class','re_icon3');
		$('#menzhen').attr('class','re_icon4');
		$('#zhuyuanyiliao').attr('class','re_icon5');
		$('#zhuyuanbutie').attr('class','re_icon6');
		$('#nvxingshengyu').attr('class','re_icon7');
		$('#dentisty').attr('class','re_icon8');
		$('#onculist').attr('class','re_icon9');
		$('#dabing').attr('class','re_icon10');
		$('#jinji').attr('class','re_icon11');
		$('#drug').attr('class','re_icon12');
		$('#tijian').attr('class','re_icon13');
		$("#woman-disease").attr("calss","re_icon14");
		$('#xinxueguan').attr("class","re_icon19");
		$('#guzhe').attr("class","re_icon20");
		
		if($("#"+dataId).is(".check_yes")){
			$("#accidentCode").val("");
		}else{
			if(dataId=="cxlxYw"){
				$("#cxlxJB").removeClass().addClass("check_no");
				$("#cxlxQT").removeClass().addClass("check_no");
				$("#accidentCode").val("1");
			}
			if(dataId=="cxlxJB"){
				$("#cxlxYw").removeClass().addClass("check_no");
				$("#cxlxQT").removeClass().addClass("check_no");
				$("#accidentCode").val("2");
			}
			if(dataId=="cxlxQT"){
				$("#cxlxJB").removeClass().addClass("check_no");
				$("#cxlxYw").removeClass().addClass("check_no");
				$("#accidentCode").val("3");
			}
		}
		var resourceType = "02";
		if($("#highEnd").val()=='Y'){
			resourceType = "01";
		}
		$("#resConfig").html("");
		if($("#accidentCode").val()=="2"){
			resConfigQuery("2",resourceType);
			arrayObj = new Array(); //初始索赔性质数组
		}else if($("#accidentCode").val()=="1"){
			resConfigQuery("1",resourceType);
//			resConfigQuery("2");
			arrayObj = new Array(); //初始索赔性质数组
		}else if($("#accidentCode").val()=="3"){
			resConfigQuery("3",resourceType);
//			resConfigQuery("2");
			arrayObj = new Array(); //初始索赔性质数组
		}
	
	}else{
		if($("#"+dataId).is(".check_yes")){
			$("#"+dataId).removeClass().addClass("check_no");
		}else{
			$("#"+dataId).removeClass().addClass("check_yes");
		}
	}
	//alert();
}	
function showJbDiv(){
//	if($("#accidentCode").val()==null || $("#accidentCode").val()==""){
//		alert("请选择出险类型！");
//		return false;
//	}
	showDiv('open1');
}
//第三方赔付更新保存
function formIdpayedit(id){
	$("#id").val(id);
	$("#claimNo").val($("#claimNo").val());
	$("#companyName").val($("#"+id).find("td[id=paycompanyName]").attr("name"));
	$("#claimAmt").val($("#"+id).find("td[id=payclaimAmt]").attr("name"));
	paycom.style.display='block';
}

//第三方投保编辑
function formIdTbedit(id,tbid){
	$("#tbid").val(tbid);
	$("#tbclaimNo").val($("#claimNo").val());
	$("#insuranceComName").val($("#"+id).find("td[id=tbinsuranceComName]").attr("name"));
	$("#policyName").val($("#"+id).find("td[id=tbpolicyName]").attr("name"));
	$("#policyNo").val($("#"+id).find("td[id=tbpolicyNo]").attr("name"));
	
	payTb.style.display='block';
}

function initinfo(){
	
	$.ajax({
        cache: true,
        type: "POST",
        url:"queryClmInsuranceCom.do",
        data:{claimNo:$('#claimNo').val()},// 你的formid
        async: false,
        error: function(request) {
            alert("操作失败！");
        },
        success: function(data) {
        	//第三方投保情况查询
        	var items = data.clmInsuranceComlist;  
        	payTbQuery(items);
            //第三方赔付情况
            var itemsRecord = data.clmDisnormalRecordList;  
            payQuery(itemsRecord);
        	//索赔事故性质
            var clmAccList = data.clmAccList;
        	$.each(clmAccList, function(i, n){
        		arrayObj.push(clmAccList[i].claimAccType);//添加到索赔事故性质数组
        		//身故
        		if(clmAccList[i].claimAccType=="01"){
        			$('#shenggu').attr('class','re_icon1 re_icon1_cur');
        		}
        		if(clmAccList[i].claimAccType=="02"){
        			$('#shangchang').attr('class','re_icon2 re_icon2_cur'); 
        		}
        		if(clmAccList[i].claimAccType=="03"){
        			$('#zhongda').attr('class','re_icon3 re_icon3_cur');
        		}
        		if(clmAccList[i].claimAccType=="04"){
        			$('#menzhen').attr('class','re_icon4 re_icon4_cur');
        		}
        		if(clmAccList[i].claimAccType=="05"){
//        			$('#zhuyuanyiliao').attr('class','re_icon5 re_icon5_cur');
        			$('#zhuyuanyiliao').addClass("re_icon5_cur");
        		}
        		if(clmAccList[i].claimAccType=="06"){
        			$('#zhuyuanbutie').attr('class','re_icon6 re_icon6_cur');
        		}
        		if(clmAccList[i].claimAccType=="07"){
        			$('#nvxingshengyu').attr('class','re_icon7 re_icon7_cur');
        		}
        		if(clmAccList[i].claimAccType=="08"){
        			$('#dentisty').attr('class','re_icon8 re_icon8_cur');
        		}
        		if(clmAccList[i].claimAccType=="09"){
        			$('#onculist').attr('class','re_icon9 re_icon9_cur');
        		}
        		if(clmAccList[i].claimAccType=="10"){
        			$('#dabing').attr('class','re_icon11 re_icon11_cur');
        		}
   			
        		if(clmAccList[i].claimAccType=="11"){
        			$('#jinji').attr('class','re_icon10 re_icon10_cur');
        		}
        		if(clmAccList[i].claimAccType=="12"){
        			$('#drug').attr('class','re_icon12 re_icon12_cur');
        		}
        		if(clmAccList[i].claimAccType=="13"){
        			$('#tijian').attr('class','re_icon13 re_icon13_cur');
        		}
        		if(clmAccList[i].claimAccType=="14"){
        			$('#woman-disease').addClass('re_icon14_cur');
        		}
        		
        		if(clmAccList[i].claimAccType=="15"){
        			$('#aizibing').addClass('re_icon15_cur');
        		}
        		if(clmAccList[i].claimAccType=="16"){
        			$('#jinjiyiliao').addClass('re_icon16_cur');
        		}
        		if(clmAccList[i].claimAccType=="17"){
        			$('yijianyimiao').addClass('re_icon17_cur');
        		}
        		if(clmAccList[i].claimAccType=="18"){
        			$('#xiantianxingjibing').addClass('re_icon18_cur');
        		}
        		if(clmAccList[i].claimAccType=="19"){
        			$('#xinxueguan').addClass('re_icon19_cur');
        		}
        		if(clmAccList[i].claimAccType=="20"){
        			$('#guzhe').addClass('re_icon20_cur');
        		}
        		addsp(clmAccList[i].claimAccType);
            });
        	
/*        	if($("#highEnd").val()=='N'){
        		//9月11新需求。高端赔案索赔事故性质隐藏：身故、伤残、住院补贴、药房购药、体检、女性疾病；
        		$('#shenggu').hide();
        		$('#shangchang').hide();
        		$('#zhuyuanbutie').hide();
        		$('#drug').hide();
        		$('#tijian').hide();
        		$('#woman-disease').hide();
        		
        		$('#shenggu').removeClass('re_icon1_cur');
        		$('#shangchang').removeClass('re_icon1_cur');
        		$('#zhuyuanbutie').removeClass('re_icon1_cur');
        		$('#drug').removeClass('re_icon1_cur');
        		$('#tijian').removeClass('re_icon1_cur');
        		$('#woman-disease').removeClass('re_icon1_cur');
        	}*/
    		
        	
//        		var a=data.resource;
/*        	if(a=='0'){
        	  	$("#resConfig").html("");
        		$('#shenggu').removeClass('re_icon1_cur');
        		$('#shangchang').removeClass('re_icon2_cur');
        		$('#zhongda').removeClass('re_icon3_cur');
        		$('#menzhen').removeClass('re_icon4_cur');
        		$('#zhuyuanyiliao').removeClass('re_icon5_cur');
        		$('#zhuyuanbutie').removeClass('re_icon6_cur');
        		$('#nvxingshengyu').removeClass('re_icon7_cur');
        		$('#dentisty').removeClass('re_icon8_cur');
        		$('#onculist').removeClass('re_icon9_cur');
        		$('#dabing').removeClass('re_icon10_cur');
        		$('#jinji').removeClass('re_icon11_cur');
        		$('#drug').removeClass('re_icon12_cur');
        		$('#tijian').removeClass('re_icon13_cur');
        	}*/
            //索赔资料清单
             var clmReItems = data.clmResourceList; 
             if(clmReItems!=null && clmReItems!=""){
            	 $("#resConfig").html("");
             }
             
        	 $.each(clmReItems, function(i, n){
        		 if(clmReItems[i].hidetype=="0"){//0为隐藏
        			 $("#resConfig").append("<tr id='"+clmReItems[i].resourceNo+"' name="+clmReItems[i].resourceName+" code="+clmReItems[i].acctype+" style=\"display: none;\">"+
       		     			"<td>"+clmReItems[i].resourceName+"</td>"+
       		     			"<td><span name='yj' id='yj"+clmReItems[i].resourceNo+"' " +
       		     			" class='"+clmReItems[i].originalcheck+"'" +
       		     			" onclick='checksp(this.id,\""+clmReItems[i].resourceNo+"\")'></span><input type='text' class='originally' name='piece' value='"+clmReItems[i].originalCnt+"' />件</td>"+
       		     			"<td><span name='fyj'  id='fyj"+clmReItems[i].resourceNo+"' class='"+clmReItems[i].hardCopycheck+"' onclick='checksp(this.id,\""+clmReItems[i].resourceNo+"\")'></span><input type='text' name='piece' value='"+clmReItems[i].hardCopyCnt+"'/>件</td>"+
       		     			"</tr>");
        		 }else if(clmReItems[i].hidetype=="1"){
//        			 	if(clmReItems[i].originalcheck =="check_yes" && clmReItems[i].hardCopycheck=="check_yes"){
//        			 		 $("#resConfig").append("<tr id='"+clmReItems[i].resourceNo+"' name="+clmReItems[i].resourceName+" code="+clmReItems[i].acctype+">"+
//                		     			"<td>"+clmReItems[i].resourceName+"</td>"+
//                		     			"<td><span name='yj' id='yj"+clmReItems[i].resourceNo+"' " +
//                		     			" class='"+clmReItems[i].originalcheck+"'" +
//                		     			" onclick='checksp(this.id,\""+clmReItems[i].resourceNo+"\")'></span><input type='text' class='originally' name='piece' value='"+clmReItems[i].original+"' />件</td>"+
//                		     			"<td><span name='fyj'  id='fyj"+clmReItems[i].resourceNo+"' class='"+clmReItems[i].hardCopycheck+"' onclick='checksp(this.id,\""+clmReItems[i].resourceNo+"\")'></span><input type='text' class='originally' name='piece' value='"+clmReItems[i].hardCopy+"'/>件</td>"+
//                		     			"</tr>");
//        			 	}else if(clmReItems[i].originalcheck =="check_yes"){
//        				 $("#resConfig").append("<tr id='"+clmReItems[i].resourceNo+"' name="+clmReItems[i].resourceName+" code="+clmReItems[i].acctype+">"+
//           		     			"<td>"+clmReItems[i].resourceName+"</td>"+
//           		     			"<td><span name='yj' id='yj"+clmReItems[i].resourceNo+"' " +
//           		     			" class='"+clmReItems[i].originalcheck+"'" +
//           		     			" onclick='checksp(this.id,\""+clmReItems[i].resourceNo+"\")'></span><input type='text' class='originally' name='piece' value='"+clmReItems[i].original+"' />件</td>"+
//           		     			"<td><span name='fyj'  id='fyj"+clmReItems[i].resourceNo+"' class='"+clmReItems[i].hardCopycheck+"' onclick='checksp(this.id,\""+clmReItems[i].resourceNo+"\")'></span><input type='text' class='originally' name='piece' value=''/>件</td>"+
//           		     			"</tr>");
//        			}else if(clmReItems[i].hardCopycheck=="check_yes"){
//        				 $("#resConfig").append("<tr id='"+clmReItems[i].resourceNo+"' name="+clmReItems[i].resourceName+" code="+clmReItems[i].acctype+">"+
//           		     			"<td>"+clmReItems[i].resourceName+"</td>"+
//           		     			"<td><span name='yj' id='yj"+clmReItems[i].resourceNo+"' " +
//           		     			" class='"+clmReItems[i].originalcheck+"'" +
//           		     			" onclick='checksp(this.id,\""+clmReItems[i].resourceNo+"\")'></span><input type='text' class='originally' name='piece' value='' />件</td>"+
//           		     			"<td><span name='fyj'  id='fyj"+clmReItems[i].resourceNo+"' class='"+clmReItems[i].hardCopycheck+"' onclick='checksp(this.id,\""+clmReItems[i].resourceNo+"\")'></span><input type='text' class='originally'  name='piece' value='"+clmReItems[i].hardCopy+"'/>件</td>"+
//           		     			"</tr>");
//        			}else {
        			 
        			 
     		     				$("#resConfig").append("<tr id='"+clmReItems[i].resourceNo+"' name="+clmReItems[i].resourceName+" code="+clmReItems[i].acctype+">"+
     	         		     			"<td>"+clmReItems[i].resourceName+"</td>"+
     	         		     			"<td><span name='yj' id='yj"+clmReItems[i].resourceNo+"' " +
     	         		     			" class='"+clmReItems[i].originalcheck+"'" +
     	         		     			" onclick='checksp(this.id,\""+clmReItems[i].resourceNo+"\")'></span><input type='text' class='originally' name='piece' value='"+clmReItems[i].originalCnt+"' />件</td>"+
     	         		     			"<td><span name='fyj'  id='fyj"+clmReItems[i].resourceNo+"' class='"+clmReItems[i].hardCopycheck+"' onclick='checksp(this.id,\""+clmReItems[i].hardCopyCnt+"\")'></span><input type='text' name='piece' value='"+clmReItems[i].hardCopyCnt+"'/>件</td>"+
     	         		     			"</tr>");
							}
        				 
        		
        			
//        		 }
        		 
        	});
        	//疾病诊断数据
        	 var clmIlls = data.clmIlls;
        	 $.each(clmIlls,function(i,n){
        		//写入疾病选择列表
        			$("#jbresultData").append("<tr>" +
        					"<td width=\"23%\" id=\"illCode\">"+clmIlls[i].illCode+"</td>" +
        					"<td width=\"45%\" id=\"illName\">"+clmIlls[i].illName+"</td>" +
        					"<td width=\"21%\"><a href=\"#\" class=\"icon_del\" onclick=\"deljbresultData(this)\"></a></td>" +
        					"</tr>");
        	 });
        }
    });
	//出险类型
	/*1	意外
	  2	疾病
	 **/
	if($("#accidentCode").val()!=""){
		if($("#accidentCode").val()=="1"){   
			$("#cxlxYw").removeClass().addClass("check_yes");
		}else if($("#accidentCode").val()=="2"){
			$("#cxlxJB").removeClass().addClass("check_yes");
		}else if($("#accidentCode").val()=="3"){
			$("#cxlxQT").removeClass().addClass("check_yes");
		}
	}else{///**出险类型选择 疾病2  意外1  默认显示意外   1；*/	
		$("#cxlxYw").removeClass().addClass("check_yes");
		$("#accidentCode").val("1");
	}
	
}
//关闭疾病结果列表
function closeJbresultDiv(id){
    var obj = $("#jbresultData").find("tr").first();//取第一条数据
    if(obj.length>0){
    	var illName =obj.find("td[id=illName]").html();
    	var illCode =obj.find("td[id=illCode]").html();
    	$("#clmIll_jb").val(illCode+illName+"....");
    	
    }else{
    	$("#clmIll_jb").val("");
    }
    $.closePopupLayer(id);
}
//清单打印
  function mineograph(){
	  var isOk = saveAccidentInfo('0','PRINT');
	  if (isOk != false) {
		  var claimNo=$("#claimNo").val();
		  $.ajax({
			  type :"POST",
			  url :"printInfo.do",
			  data :{"claimNo":claimNo},
		      error: function(request) {
		            alert("操作失败！");
		        },
			  success : function (data) {
				  alert("操作成功！");
			}
			  
		  });
	  }
  }
//高端

  function gaoduan(obj, onload) {
	var resourceType = "02";
//	if ($(obj).is(".check_yes")) {
//		if (onload == "Y") {
//			resourceType = "02";
//		} else {
//			resourceType = "02";
//		}
//	} else {
//		if (onload == "Y") {
//			resourceType = "02";
//		} else {
//			resourceType = "02";
//		}
//	}
	
	if($("#highEnd").val()=='Y'){
		resourceType = "01";
	}else {
		resourceType = "02";
	}
  	$("#resConfig").html("");
	$('#shenggu').removeClass('re_icon1_cur');
	$('#shangchang').removeClass('re_icon2_cur');
	$('#zhongda').removeClass('re_icon3_cur');
	$('#menzhen').removeClass('re_icon4_cur');
	$('#zhuyuanyiliao').removeClass('re_icon5_cur');
	$('#zhuyuanbutie').removeClass('re_icon6_cur');
	$('#nvxingshengyu').removeClass('re_icon7_cur');
	$('#dentisty').removeClass('re_icon8_cur');
	$('#onculist').removeClass('re_icon9_cur');
	$('#dabing').removeClass('re_icon11_cur');
	$('#jinji').removeClass('re_icon10_cur');
	$('#drug').removeClass('re_icon12_cur');
	$('#tijian').removeClass('re_icon13_cur');
	resConfigQuery($("#accidentCode").val(), resourceType);
	
//	  	SkipByPost("queryAccidentInfo.do",{claimNo:$("#claimNo").val()});
	
}
  
  function gaoduans(obj) {
	  if($(obj).is(".check_yes")){
		  $("#resConfig").find("tr").each(function(){
			  $(this).remove();
			  });
		  	$("#resConfig").html("");
			$('#shenggu').attr('class', 're_icon1');
			$('#shangchang').attr('class', 're_icon2');
			$('#zhongda').attr('class', 're_icon3');
			$('#menzhen').attr('class', 're_icon4');
			$('#zhuyuanyiliao').attr('class', 're_icon5');
			$('#zhuyuanbutie').attr('class', 're_icon6');
			$('#nvxingshengyu').attr('class', 're_icon7');
			$('#dentisty').attr('class', 're_icon8');
			$('#onculist').attr('class', 're_icon9');
			  var resourceType = "02";
			  buttonResConfigQuery($("#accidentCode").val(), resourceType,$("#claimNo").val());
//			  $("#resConfig").show();
	  }else {
		  $("#resConfig").find("tr").each(function(){
			  $(this).remove();
		  });
			
		  $("#resConfig").html("");
			$('#shenggu').attr('class', 're_icon1');
			$('#shangchang').attr('class', 're_icon2');
			$('#zhongda').attr('class', 're_icon3');
			$('#menzhen').attr('class', 're_icon4');
			$('#zhuyuanyiliao').attr('class', 're_icon5'); 
			$('#zhuyuanbutie').attr('class', 're_icon6');
			$('#nvxingshengyu').attr('class', 're_icon7');
			$('#dentisty').attr('class', 're_icon8');
			$('#onculist').attr('class', 're_icon9');
		  var resourceType = "02";
		  buttonResConfigQuery($("#accidentCode").val(), resourceType,$("#claimNo").val());
//			  $("#resConfig").show();
		  
	}
////	  	SkipByPost("queryAccidentInfo.do",{claimNo:$("#claimNo").val()});
}
  
//  $(".check_yes,.check_no").click(function(){
//	  
//	  if($(this).is(".check_yes")){
//		  $("#resConfig").html("");
//		$('#shenggu').attr('class', 're_icon1');
//		$('#shangchang').attr('class', 're_icon2');
//		$('#zhongda').attr('class', 're_icon3');
//		$('#menzhen').attr('class', 're_icon4');
//		$('#zhuyuanyiliao').attr('class', 're_icon5');
//		$('#zhuyuanbutie').attr('class', 're_icon6');
//		$('#nvxingshengyu').attr('class', 're_icon7');
//		$('#dentisty').attr('class', 're_icon8');
//		$('#onculist').attr('class', 're_icon9');
//		  var resourceType = "01";
//		  
//		  resConfigQuery($("#accidentCode").val(), resourceType,$("#claimNo").val());
//		  $("#resConfig").show();
//		  
//	  }
//	  if($(this).is(".check_no")){	  
//		  $("#resConfig").html("");
//			$('#shenggu').attr('class', 're_icon1');
//			$('#shangchang').attr('class', 're_icon2');
//			$('#zhongda').attr('class', 're_icon3');
//			$('#menzhen').attr('class', 're_icon4');
//			$('#zhuyuanyiliao').attr('class', 're_icon5');
//			$('#zhuyuanbutie').attr('class', 're_icon6');
//			$('#nvxingshengyu').attr('class', 're_icon7');
//			$('#dentisty').attr('class', 're_icon8');
//			$('#onculist').attr('class', 're_icon9');
//		  var resourceType = "02";
//			resConfigQuery($("#accidentCode").val(), resourceType,$("#claimNo").val());
//			  $("#resConfig").show();
//			
//	  }
//  } );
//  
  
	function untread(obj,flage){
		if($("#inputSource").val()=='05'){
			  SkipByPost("fallbackInfo.do",{claimNo:obj,isSendFlag:$("#isSendFlag").val(),flage:flage});
		}else {
			alert("报案方式不能自助回退");
		}
	}
	
	function openImage(){//sModino批单号
		if("1"==$("#casecource").val()&&(highEnd!="N")){  // 产险影像
			callEcm($("#claimNo").val(),"");
		}else{
			window.open(getRootPath()+'/inspection/clmtask/imageInfo.do?claimNo='+$("#claimNo").val(),"影像");
		}
	}
	
	
	